Scalebar problem in QGis 2.12.0

2015-11-26 04:11 AM - Joze Stih

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.12.0 Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21905

Description

Scalebar in QGis 2.12.0 have very unusual value. Look example in the attached pictures (2.10.1-right, 2.12.0-wrong).

History

#1 - 2015-11-26 04:18 AM - Paolo Cavallini

- Subject changed from Scalebare problem in QGis 2.12.0 to Scalebar problem in QGis 2.12.0

#2 - 2015-11-26 05:04 AM - Harrissou Santanna

I'm not sure something is wrong there. Just set the same fixed width value as in 2.10 and you'll get same result

#3 - 2015-11-26 05:22 AM - Joze Stih

- File Clipboard01.png added

- File Clipboard02.png added

Harrissou Santanna wrote:

I'm not sure something is wrong there. Just set the same fixed width value as in 2.10 and you'll get same result

If I set fixed width like in 2.10, I got weary small scalebar (picture Clipboard01). I thought that will be the answer to increase Label unit multiplier on

100000000 (picture Clipboard02), but when I look closer, there was a little difference.

#4 - 2015-11-26 11:48 AM - Nyall Dawson

- Status changed from Open to Feedback

I'm confused - the scalebar in clipboard02.png and QGIS_2.10.1.png look identical to me. What's the problem?

#5 - 2015-11-26 09:50 PM - Joze Stih

It's look identical, but when I print and compare both, there are little (a few millimetres) difference. Beside it's a strange to use for multiplier from m to km

100.000.000 instead of 1.000.
#6 - 2015-12-20 08:59 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

QGis_2.10.1.png 155 KB 2015-11-26 Joze Stih

QGis_2.12.0.png 163 KB 2015-11-26 Joze Stih

Clipboard01.png 205 KB 2015-11-26 Joze Stih

Clipboard02.png 203 KB 2015-11-26 Joze Stih

2025-12-15 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

